package lab10;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import static lab10.Direction.WEST;

public class Main {

    public static void main(String[] args) {
        JButton stopButton = new JButton("OK");
        stopButton.setPreferredSize(new Dimension(70,70));
        CardPanel cardPanel = new CardPanel(stopButton);
        JFrame frame = new JFrame();
        Container content = frame.getContentPane();
        content.setLayout(new BorderLayout());
        content.add(BorderLayout.CENTER,cardPanel);
        JPanel eastPanel = new JPanel();
        eastPanel.add(stopButton);
        content.add(BorderLayout.EAST,eastPanel);
        Robot robot = new Robot(WEST,100,100);
        RobotCanvas robotCanvas = new RobotCanvas();
        robotCanvas.setRobot(robot);
        content.add(BorderLayout.NORTH,robotCanvas);
        frame.pack();
        frame.setResizable(false);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
        robotCanvas.start();
        
        while(true){
            Card[] cards = new Card[7];
            for(int i=0; i<7; i++) {
                cards[i] = new Card(CardType.values()[(int)(5*Math.random())]);
            }
            cards = cardPanel.selectCards(cards);
            for(int i=0; i<5; i++) {
                cards[i].execute(robot);
            }
        }
    }
    
}
